// CBT Phase 1
// 1/2016  
 
{"Device Object", 			-1,	0,	-1,	0,	1,}
{"Device",		 			-2,	8,	-1,	0,	1,}


{"Files",					-1,	0,	0,	0,	2,}
{"Files",					-2,	10,	-1,	0,	2,}


{"Inputs",					-1,	0,	-1,	0,	3,}
{"Analog Inputs",			-2,	0,	-1,	0,	3,}
{"Binary Inputs",			-2,	3,	-1,	0,	3,}

{"Values",					-1,	0,	0,	0,	4,}
{"Analog Values",			-2,	2,	-1,	0,	4,}
{"Binary Values",			-2,	5,	-1,	0,	4,}

{"Outputs",				-1,	0,	-1,	0,	5,}
{"Analog Outputs",			-2,	1,	-1,	0,	5,}
{"Binary Outputs",			-2,	4,	-1,	0,	5,}

{"Scheduling",				-1,	0,	0,	0,	15,}
{"Schedules",				-2,	17,	-1,	0,	15,}
{"Calendars",				-2,	6,	-1,	0,	15,}
{"Simple Schedules",			-2,	217,	-1,	0,	15,}


{"Alarming",				-1,	0,	0,	0,	19,}
{"Notification Classes",		-2,	15,	-1,	0,	19,}

{"Trending",				-1,	0,	0,	0,	20,}
{"Trend Logs",				-2,	20,	-1,	0,	20,}

{"Cylon Use",				-1,	0,	0,	0,	21,}
{"Manufacturer Debug",		-2,	128,	-1,	0,	21,}


// Analog Inputs 
{"(LS) Input Scale Minimum",52307,		0,-1,4,0,}  
{"(HS) Input Scale Maximum",51283,		0,-1,4,0,}  
{"(FC) Input Filter Constant",50755,		0,-1,4,0,}  


// Analog Outputs
{"(CA) Clear All Priority Array Data",49985,	1,-1,2,0,}
{"(LS) Output Scale Minimum (V)",52307,		1,-1,4,0,}  
{"(HS) Output Scale Maximum (V)",51283,		1,-1,4,0,}  

// Analog Values
{"(AT) Auto-Clear Time to Live",49492,			2,-1,2,0,}
{"(AP) Auto-Clear Priority",49488,				2,-1,2,0,}
{"(AC) Auto-Clear Countdown",49475,				2,-1,2,0,}
{"(SP) Save Priority Array Data Across Reboots",54096,	2,-1,2,0,}
{"(CA) Clear All Priority Array Data",49985,		2,-1,2,0,}

// Binary Outputs
{"(CA) Clear All Priority Array Data",49985,		4,-1,2,0,}

// Binary Values  
{"(AT) Auto-Clear Time to Live",49492,			5,-1,2,0,}
{"(AP) Auto-Clear Priority",49488,				5,-1,2,0,}
{"(AC) Auto-Clear Countdown",49475,				5,-1,2,0,}
{"(SP) Save Priority Array Data Across Reboots",54096,	5,-1,2,0,}
{"(CA) Clear All Priority Array Data",49985,		5,-1,2,0,}


// Calendars
{"(CT) Current Time",50004,			6,-1,11,0,}
{"(CD) Current Date",49988,			6,-1,10,0,}


// Device Object
{"(SN) Serial Number",54094,					8,-1,2,0,}
{"(SI) Strategy Index Number",54089,				8,-1,9,0,}
{"(ID) MSTP Address",51524,					8,-1,2,0,}
{"(UN) Unitron Number ",54606,					8,-1,2,0,}
{"(UT) System Up-Time (Seconds)",54612,			8,-1,2,0,}
{"(SA) Save All Data to Flash",54081,				8,-1,9,0,1 = Force a Flash Save}
{"(RS) Reset/Reboot the Controller",53843,			8,-1,9,0,1 = Reset Controller}
{"(AS) Auto-Delete Schedule & Calendar Entries",49491,	8,-1,1,0,}
{"(FB) Configuration Feedback Text",50754,			8,-1,7,0,}
{"(FS) Flash Status",50771,					8,-1,7,0,}



// Notification Classes
{"(A1) Recipient 1 Active?",49457,				15,-1,2,0,}
{"(A2) Recipient 2 Active?",49458,				15,-1,2,0,}
{"(A3) Recipient 3 Active?",49459,				15,-1,2,0,}
{"(A4) Recipient 4 Active?",49460,				15,-1,2,0,}
{"(A5) Recipient 5 Active?",49461,				15,-1,2,0,}


// Schedules
{"(DT) Schedule's Default Data Type",50260,		17,-1,9,0,1 = Boolean,2 = Unsigned,3 = Integer,4 = Real,9 = Enumerated,10 = Date,11 = Time,12 = Object ID}
{"(ST) Whole Seconds Until Next Transition",54100,	17,-1,2,0,}
{"(MT) Whole Minutes Until Next Transition",52564,	17,-1,2,0,}
{"(HT) Whole Hours Until Next Transition",51284,	17,-1,2,0,}
{"(NS) Next Transition State",52819,				17,-1,1,0,}
{"(CT) Current Time",50004,					17,-1,11,0,}
{"(CD) Current Date",49988,					17,-1,10,0,}
{"(FB) Feedback Text",50754,					17,-1,7,0,}

//{"Simple Schedules",			-2,	217,	-1,	0,	15,}
{"(AD) Active Days",49476,			217,-1,8,0,Mon,Tues,Wed,Thurs,Fri,Sat,Sun}
{"(S1) Start Time 1",54065,		217,-1,11,0,}
{"(E1) End Time 1",50481,			217,-1,11,0,}
{"(S2) Start Time 2",54066,		217,-1,11,0,}
{"(E2) End Time 2",50482,			217,-1,11,0,}



// "Manufacturer Debug"
{"(BT) MSTP Token Round Trip in Seconds", 49748,		128,-1,4,0,}
{"(ST) Strategy Service Time in Seconds",54100,			128,-1,4,0,}
{"(BS) Strategy Blocks Currently Servicing",49747,		128,-1,3,0,}
{"(FF) Flash Use Feedback",50758,					128,-1,7,0,}
{NULL,0,0,0,0,NULL}



